summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-05-22 13:28:42 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-05-22 13:30:38 +0000
commit1d70568f3236c01192b92c35d2f28e76de7d95e8 (patch)
tree6c3a10367689b513ba5f652882689ea76474d111
parent8cddf6df427404ca93c9e05339cfa65840d495d3 (diff)
round-robin.sh (build_abe): Pass "--disable update" to ABE
... to avoid ABE updating sources. Change-Id: I82ef178a1dc1054b6642bd98335fcf013a425914
-rw-r--r--round-robin.sh27
1 files changed, 13 insertions, 14 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 1f3d73f3..5ba5bab4 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -346,20 +346,19 @@ build_abe ()
# Use our custom sources for everything, but kernel headers.
local custom_abe_src_opt=""
local git_dir="$project"
- if $check; then
- : # Don't update anything for a check step
- elif [ x"$component" != x"linux" ]; then
- clone_repo $project
-
- # Don't use ABE's repo clone functions and setup abe/snapshots/ directory
- # to have the right entries.
- local git_path
- git_dir="$git_dir.git"
- git_path="abe/snapshots/$git_dir"
- rm -rf $git_path $git_path~master
- ln -s "$(pwd)/$project" $git_path
- ln -s "$(pwd)/$project" $git_path~master
-
+ if [ x"$component" != x"linux" ]; then
+ if ! $check; then
+ clone_repo $project
+
+ # Don't use ABE's repo clone functions and setup abe/snapshots/
+ # directory to have the right entries.
+ local git_path
+ git_dir="$git_dir.git"
+ git_path="abe/snapshots/$git_dir"
+ rm -rf $git_path $git_path~master
+ ln -s "$(pwd)/$project" $git_path
+ ln -s "$(pwd)/$project" $git_path~master
+ fi
custom_abe_src_opt="$project=http://git.l.o/$git_dir~master --disable update"
fi